## Artifact of Dissimilarity
An Artifact that imitates Artifact of Dissonance but for Interactables to spice things up.

Like Artifact of Dissonance, it won't spawn every possibile option on every stage and instead give a limited amount of options from a list that contains everything per stage.

A List of how many of what category will be present:
|Category|Count|```List```| 
| ---------- | - | ----------- |
|Chest|6 / 12| ```Chest, Large Chest, Damage Chest, Healing Chest, Utility Chest, Equipment Barrel, Lunar Pod, Multishop, Large Multishop, Equipment Multishop, Adaptive Chest, Cloaked Chest```|
|Shrines|4 / 8|```Shrine of Chance, Shrine of Blood, Shrine of the Mountain (2x),Shrine of Combat, Shrine of the Woods, Shrine of Order, Cleansing Pool```|
|Drones|4 / 8|```Gunner Drone, Healing Drone, Gunner Turret, Missile Drone, Incinerator Drone, Equipment Drone, Emergency Drone, TC-280 Prototype  ```|
|Printers|4 / 8|```Printer, Large Printer, Mili-Tech Printer, Overgrown Printer, Scrapper, Cauldron WhiteToGreen, Cauldron GreenToRed, Cauldron RedToWhite```|
|Rare|2 / 3|```Legendary Chest, Altar of Gold, Lunar Seer```|

The general rarity of each Interactable is still intact, you should not find stages full of Legendary Chests.\
But just like Dissonance, Interactables can spawn before they usually would.

Some Stages will seem quite normal and others without Small Chests or White Printers might feel quite powerful.\
The game overall shouldn't feel too different however.


While the Artifact is on, Lunar Seers will randomly spawn across the stages and show a random stage as opposed to a upcoming one.\
The Bazaar Seers are unchanged by default.\
If you really don't like this feature you can turn it off in the config.


## Artifact of Kith
An Artifact that imitates Artifact of Kin but for Interactables.

Instead of 1 Interactable for the whole stage, it's 1 per Category so it's still (mostly) playable.

Not every stage will contain a way to get normal items and some other stages can give you a huge spike in power.\
This Artifact doesn't try to be balanced but is meant to still be fun.

I recommend using a mod to make Lunar Coins not a problem because stages with only Lunar Pods could be problematic otherwise.


## Artifact of Wander
An Artifact that enables the gamerule Stage Meander that makes stages progress in a random order.

When using Artifact Randomizer or when going to the Bulwark Ambry the next stage will be randomized as opposed to the one you are currently on being random.

## Artifact of Remodeling
An Artifact that will reroll all your passive items upon going to a new stage.

It will maintain tier and stack sizes. 

It will not reroll or roll into; Heresy Items, Beads of Fealty, or unique items like Captains Microbots.\
But by default Scrap will reroll into a normal items. This is so that you can make one high stack of Scrap that then turns into one high stack of another Item. 

When using Artifact of Evolution, the Monsters items will also be rerolled.

## Artifact of Retooling

For when you don't like the randomness of Enigma and would rather have Equipment reroll per stage.

Rerolls Equipment into the same tier.\
Applies to Equipment Drones too by default.\
Comes with an option to remove the vanilla Artifact of Enigma from the menu in case you want this as a full replacement.

#
### Codes
![](https://cdn.discordapp.com/attachments/743886063738683413/899958469044609104/WolfoArtifactCodes.png) 


#
All Artifacts can individually be disabled if they are undesired alongside some other config.

If you find a bug or think there's a way to make it more balanced or fun, report it to @Wolfo#6210 in the Risk of Rain 2 Modding discord.\
If your config looks weird please delete it, the new one will look normal.


### Changelog:
v1.1.2
* Artifact of Retooling - reroll equipment on stage change (Enigma alternative)

v1.1.1
* Added artifact codes. In case someone wants to reroll only once or wants the Loop back to a random stage.

v1.1.0
* Added new Artifact that rerolls passive Items on stage change

v1.0.5 - Made Kith + Dissimilarity a bit more forgiving\
v1.0.4 - Fixes to Artifact of Wander

v1.0.3
* Option to remove Minimum Stage Completion for interactables when using Kith

v1.0.2 - Minor adjustments

v1.0.1
* Fixed Artifact of Command not removing choice interactables

v1.0.0 - Release.